local addonName, addon = ...
local childName = addon['childName']
local child = addon[childName]
local events = child['events']
local db
local function prepareDB()
	db = addon['db']['profile'][childName]
	child['db'] = db
	addon['callbacks']:Fire(format("Init%s", childName))
end
child['specs']  = {
	['name'] = childName,
	['sv'] = true,
	['cfg'] = true,
	['cfgReset'] = prepareDB,
	['ldb'] = child['ldb'],
	['defaults'] = {
		['profile'] = {
			[childName] = {}
		}
	}
}
function events:PLAYER_ENTERING_WORLD(_, event)
	child:UnregisterEvent(event)
end
child:NewAddOn(...)